android [email protected]でエラーあるある

androidに限らないですけど、複数の端末で開発をするときのあるあるです。

 

メニューバー⇒ウィンドウ⇒設定⇒java⇒コンパイラー 

・コンパイラー準拠レベルのjdkを確認

  1.6~Overrideが可能なので1.6以上になっていること

 

プロジェクト固有設定にしている場合もあるので

プロジェクトを右クリックしてプロパティー⇒Javaコンパイラー

・「プロジェクト固有の設定を可能にする」にチェックがあったら

  1.6以上に設定してやる

 

参考サイト